Name: gmysqlcc
Summary: GTK+ client for mysql databases
Version: 0.2.0a
Release: 1mdk
License: GPL
Group: Databases
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Zdenko Podobny <zdpo@mailbox.sk>
Distribution: mdk
Prefix: /usr
Provides: gmysqlcc
Requires: libmysql12, MySQL-client
Requires: libglib2.0_0 >= 2.2.3
Requires: libgtk+2.0_0
BuildRequires: libglib2.0_0-devel
BuildRequires: libgtk+2.0_0-devel
BuildRequires: libmysql12-devel

%description
With gmysqlcc, you can :
    * manage your server list
    * Execute all SQL queries you want
    * dump queries, tables, databases and servers ...


%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}
make -j 2

%install
make DESTDIR=$RPM_BUILD_ROOT install

cd $RPM_BUILD_ROOT

find . -type d -fprint $RPM_BUILD_DIR/file.list.%{name}.dirs
find . -type f -fprint $RPM_BUILD_DIR/file.list.%{name}.files.tmp
sed '/\/man\//s/$/.gz/g' $RPM_BUILD_DIR/file.list.%{name}.files.tmp > $RPM_BUILD_DIR/file.list.%{name}.files
find . -type l -fprint $RPM_BUILD_DIR/file.list.%{name}.libs
sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' $RPM_BUILD_DIR/file.list.%{name}.dirs > $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.files >> $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.libs >> $RPM_BUILD_DIR/file.list.%{name}

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs="x11" section="Applications/Databases" title="GMySQLcc" \
longtitle="GTK+ client for mysql" command="gmysqlcc" icon="databases_section.png" terminal="false"
EOF

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/file.list.%{name}
rm -rf $RPM_BUILD_DIR/file.list.%{name}.libs
rm -rf $RPM_BUILD_DIR/file.list.%{name}.files
rm -rf $RPM_BUILD_DIR/file.list.%{name}.files.tmp
rm -rf $RPM_BUILD_DIR/file.list.%{name}.dirs

%files -f ../file.list.%{name}
%{_menudir}/gmysqlcc
%defattr(-,root,root,0755)

%post
%update_menus
		
%postun
%clean_menus

%changelog
* Mon Jun 8 2005 Zdenko Podobný <zdpo@mailbox.sk>
- update to 0.2.0a-1mdk
* Sat Jun 5 2005 Zdenko Podobný <zdpo@mailbox.sk>
- initial spec file based on krpmbuilder and some Mandrake spec files
